## org.eclipse.emf.transaction.impl
Interface InternalLifecycle

All Superinterfaces:
  TransactionalEditingDomain.Lifecycle

All Known Implementing Classes:
  TransactionalEditingDomainImpl.LifecycleImpl

    public interface InternalLifecycle

extends TransactionalEditingDomain.Lifecycle

Internal adapter interface that must be provided by a `TransactionalEditingDomain` implementation that provides a `TransactionalEditingDomain.Lifecycle` adapter. It is required by transactions, to send their life-cycle notifications.

This interface is not intended to be implemented by clients, but by editing domain providers.

Since:
  1.3
See Also:
  `TransactionalEditingDomain.Lifecycle`

Method Summary
`void` `transactionClosed(InternalTransaction transaction)` Notifies me that a transaction has completed its commit or rollback sequence.
`void` `transactionClosing(InternalTransaction transaction)` Notifies me that a transaction has commenced its commit or rollback sequence.
`void` `transactionInterrupted(InternalTransaction transaction)` Notifies me that a transaction has been interrupted in its start sequence.
`void` `transactionStarted(InternalTransaction transaction)` Notifies me that a transaction has completed its start sequence.
`void` `transactionStarting(InternalTransaction transaction)` Notifies me that a transaction has commenced its start sequence.

Methods inherited from interface org.eclipse.emf.transaction.TransactionalEditingDomain.Lifecycle
`addTransactionalEditingDomainListener, removeTransactionalEditingDomainListener`

Method Detail

### transactionStarting

    void transactionStarting(InternalTransaction transaction)

  Notifies me that a transaction has commenced its start sequence. There may be any number of steps implemented before requesting the editing domain to activate it.

  Parameters:
    `transaction` - a transaction that is starting

### transactionInterrupted

    void transactionInterrupted(InternalTransaction transaction)

  Notifies me that a transaction has been interrupted in its start sequence. There may be any number of steps implemented by the transaction that can be interrupted.

  Parameters:
    `transaction` - a transaction thatwas interrupted while starting

### transactionStarted

    void transactionStarted(InternalTransaction transaction)

  Notifies me that a transaction has completed its start sequence. There may be any number of steps implemented after requesting the editing domain to activate it.

  Parameters:
    `transaction` - a transaction that has started

### transactionClosing

    void transactionClosing(InternalTransaction transaction)

  Notifies me that a transaction has commenced its commit or rollback sequence. There may be any number of steps implemented before requesting the editing domain to deactivate it.

  Parameters:
    `transaction` - a transaction that is closing

### transactionClosed

    void transactionClosed(InternalTransaction transaction)

  Notifies me that a transaction has completed its commit or rollback sequence. There may be any number of steps implemented after requesting the editing domain to deactivate it.

  Parameters:
    `transaction` - a transaction that has closed

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.